%undefine __libtoolize
%define stable_patchset	0.12.10

Name: k3b
Version: 0.12.17
Release: alt0.M24.3

Group: Archiving/Cd burning
Summary: The CD Kreator
Summary(ru_RU.KOI8-R):   CD
License: GPL
Packager: Alexey Lokhin <warframe@altlinux.ru>
Url: http://www.k3b.org/

Source0: %name-%version.tar.bz2

Patch0: %name-%stable_patchset-compile_flags.patch
Patch1: %name-%stable_patchset-messages-alt.patch
Patch2: %name-%stable_patchset-format_dvd_+-_rw.patch

Requires: kdelibs >= %{get_version kdelibs}
Requires: cdrecord >= 2.0, cdrdao, mkisofs >= 2.0, dvd+rw-tools
Requires: arts, libcdparanoia, lame >= 3.97, libmad, libvorbis, libsndfile, ffmpeg, sox, transcode, libflac++, vcdimager >= 0.7, normalize, libtag
Requires: libacl, libattr, libdvdcss
Obsoletes: %name-minimal

BuildRequires: ffmpeg-devel flac gcc-c++ kdelibs-devel libflac++-devel libflac-devel libjpeg-devel liblame-devel >= 3.97 libmad-devel libpng-devel libsamplerate-devel libtag-devel libvorbis-devel libsndfile-devel xml-utils pkgconfig
BuildRequires: libacl-devel libattr-devel

%description
K3b is a GUI frontend to the cd recording programs.
It's aim is to provide a very user friendly interface to all the tasks that
come with cd recording.
This package contains all requiremnts and libraries necessary for full
program functionality.
%description -l ru_RU.KOI8-R
K3b -         .
        , 
  -.
  c   ,  
  .

%package devel
Summary: The CD Kreator (Development package.)
Summary(ru_RU.KOI8-R):   CD ( .)
License: GPL
Group: Development/KDE and QT
Requires: k3b = %version

%description devel
K3b is a GUI frontend to the cd recording programs.
It's aim is to provide a very user friendly interface to all the tasks that
come with cd recording.
This package contains k3b development files and libraries.
%description devel -l ru_RU.KOI8-R
K3b -         .
        , 
  -.
     ,  
 k3b.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%__subst 's/\.la\>/.so/g' admin/acinclude.m4.in
%__subst 's/\(-Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g' admin/acinclude.m4.in
MAKE="%__make" /bin/sh admin/cvs.sh cvs

%build
%configure \
	--disable-rpath \
	--enable-shared=yes \
	--program-transform-name="" \
	--without-k3bsetup
%make_build

%install
%makeinstall
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl k3b "Applications/Archiving/Cd burning" %buildroot/%_datadir/applications/kde/%name.desktop %buildroot/%_menudir/%name x11
%find_lang --with-kde %name

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files -f %name.lang
%_libdir/*.so*
%_libdir/kde3/*.so
%_bindir/*
%_datadir/applications/kde/*
%_datadir/applnk/.hidden/*
%_datadir/apps/k3b
%_datadir/apps/konqueror/servicemenus/*.desktop
%_menudir/%name
%_iconsdir/*/*/*/*
%_datadir/mimelnk/*/*
%_datadir/sounds/*
%doc README FAQ TODO COPYING AUTHORS ChangeLog

%files devel
%_includedir/*.h

%changelog
* Fri Oct 06 2006 Motsyo Gennadi <drool@altlinux.ru> 0.12.17-alt0.M24.3
- fix kdelibs version in Requires (get_version macros)

* Tue Oct 03 2006 Motsyo Gennadi <drool@altlinux.ru> 0.12.17-alt0.M24.2
- fix libsndfile in Requires

* Sat Sep 09 2006 Motsyo Gennadi <drool@altlinux.ru> 0.12.17-alt0.M24.1
- New version
- change spec to Backports Policy

* Tue Aug 15 2006 Motsyo Gennadi <drool_linux@pisem.net> 0.12.16-alt1.M24.drool
- New version build for ALT Linux 2.4. Master

* Wed May 17 2006 Motsyo Gennadi <drool_linux@pisem.net> 0.12.15-alt1.M24.drool
- Backport to ALT Linux 2.4 Master

* Fri Apr 14 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.15-alt1
- Version 0.12.15 build.

* Wed Mar 08 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.14-alt1
- Version 0.12.14 build.
- Added requirement for libdvdcss.

* Thu Feb 16 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.12-alt1
- Version 0.12.12 build.

* Sat Feb 11 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.11-alt1
- Version 0.12.11 build.

* Mon Feb 06 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.10-alt2
- Spec file fixed: added requirements for libacl, libattr.

* Tue Dec 20 2005 Alexey Lokhin <warframe@altlinux.ru> 0.12.10-alt1
- Version 0.12.10 build.
- Added patch, correcting translation of "Format DVD+-RW" message - 'format_dvd_+-_rw.patch'.

* Mon Nov 21 2005 Alexey Lokhin <warframe@altlinux.ru> 0.12.7-alt1
- Version 0.12.7 build.

* Fri Oct 07 2005 Alexey Lokhin <warframe@altlinux.ru> 0.12.4a-alt1
- Version 0.12.4a build.
- Menu source file removed from package.

* Thu Jul 28 2005 Alexey Lokhin <warframe@altlinux.ru> 0.12.2-alt1
- Version 0.12.2 build.
- Added libvorbis-devel detection fix for configure.
- Added patch for ALT-specific messages (no K3bSetup2 but ALT Control Center and 'control').
- Optimized buildreq.

* Tue May 24 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.24-alt1
- Version 0.11.24 build.
- 'Requires' fixed.

* Mon Apr 04 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.23-alt1
- Version 0.11.22 build
- Joliet now is enabled by default

* Mon Mar 21 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.22-alt1
- Version 0.11.22 build
- Added 'flac' to 'BuildRequres' for proper FLAC version detection during prep

* Wed Feb 23 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.20-alt2
- Spec file cleaning
- Added patch to compile with 'FLAC::Metadata::VorbisComment::get_vendor_string()' method in FLAC++-1.1.2

* Wed Feb 16 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.20-alt1
- Package 'k3b-minimal' has been combined with 'k3b'
- Version 0.11.20 build

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.11.17-alt3.1
- Rebuilt with libstdc++.so.6.

* Tue Dec 07 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.17-alt3
- Misapplied patches removed.

* Tue Nov 23 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.17-alt2
- New 'BuildRequires'.
- Added SCSI detection fix patch (from Fedora Core 3 SRPM).
- Fopen call 'RDWR' flag fixes added (from Fedora Core 3 SRPM).

* Wed Sep 29 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.17-alt1
- Version 0.11.17.

* Mon Sep 20 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.16-alt1
- Version 0.11.16 (skipping 0.11.15).

* Sat Aug 14 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.14-alt1
- Version 0.11.14.

* Mon Jun 28 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.12-alt1
- Version 0.11.12.
- Package splitted to multiple packages.

* Thu May 27 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.10-alt1
- Version 0.11.10.
- Spec file changed to compile with gcc-3.2.3.

* Mon Mar 29 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.9-alt1
- Version 0.11.9.
- Changed 'needs' in menu file from 'kde' to 'x11'.
- Added requirement for flac and lame encoding programs.

* Wed Mar 03 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.6-alt1
- Version 0.11.6.

* Sun Feb 22 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.5-alt1
- Version 0.11.5.

* Tue Feb 17 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.4-alt1
- Version 0.11.4 has been built.

* Sat Feb 14 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.3-alt1
- Version 0.11.3 has been built.
- Removed requirements for DivX, DVD tools and some audio encoding tools and libraries.

* Fri Jan 23 2004 Alexey Lokhin <warframe@altlinux.ru> 0.10.3-alt3
- Real sources added. Previous build contained custom test sources.

* Sat Jan 10 2004 Alexey Lokhin <warframe@altlinux.ru> 0.10.3-alt2
- Removed .la-files
- Fixed pthreads support during the compilation (patch by Zerg <Zerg@altlinux.org>).

* Mon Dec 08 2003 Alexey Lokhin <warframe@altlinux.ru> 0.10.3-alt1
- Version 0.10.3 has been built

* Mon Nov 10 2003 Alexey Lokhin <warframe@altlinux.ru> 0.10.2-alt1
- Version 0.10.2 has been built

* Tue Oct 28 2003 Alexey Lokhin <warframe@altlinux.ru> 0.10.1-alt1
- Version 0.10.1 has been built without k3bsetup support

* Tue Oct 07 2003 Alexey Lokhin <warframe@altlinux.ru> 0.9-alt1
- Version 0.9 has been built

* Fri Mar 07 2003 Alexey Gladkov <legion@altlinux.ru> 0.8.1-alt2
- x-cue.desktop and x-iso.desktop have been removed to resolve
  conflicts with other cdrecord applications. They moved to
  kdelibs package.

* Sat Mar 01 2003 Alexey Gladkov <legion@altlinux.ru> 0.8.1-alt1
- k3b 0.8.1
- Bugfixes

* Sat Nov 23 2002 Alexey Gladkov <legion@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Mon Nov 11 2002 Alexey Gladkov <legion@altlinux.ru> 0.7.4-alt2
- 0.7.4
- group fix (cdrecording -> cdwriter)

* Thu Oct 31 2002 Alexey Gladkov <legion@altlinux.ru> 0.7.3-alt1
- RPM build
